package com.jxml.quick.util.qjml4;

import java.io.PrintWriter;
import java.util.ArrayList;
import org.xml.sax.*;

public class QMAccessClass extends QGBase implements QGBaseIntf {

    public String text;


    public QMAccessClass(String text) {
        this.text = text;
    }

    public String toString() {
        return(text);
    }

    public void cvt()
	throws SAXException
    {
	if ("com.jxml.quick.access.QIgnore".equals(text))
	{
	    startElement("ignore");
	    endElement("ignore");
	}
	else if ("com.jxml.quick.access.QListAccess".equals(text))
	{
	    addStringAttribute("kind","list");
	    startElement("identity");
	    endElement("identity");
	}
	else
	{
	    addStringAttribute("accessor",text);
	    startElement("accessClass");
	    endElement("accessClass");
	}
    }

    public void print(PrintWriter pw, String indent) {
        pw.println(indent + "element class");
        pw.println(indent + "text = " + text);
    }

}
